/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/* $Header: DIO_subr.c 1.1 90/05/02 $ */

#include <sys/types.h>
#include <sys/dio.h>

DIO_Read(fd, buf, size, offset, req)
	int fd;
	caddr_t buf;
	int size;
	off_t offset;
	struct AIO_req *req;
{
	return (DIO(DIO_READ, fd, buf, size, offset, req));
}

DIO_Write(fd, buf, size, offset, req)
	int fd;
	caddr_t buf;
	int size;
	off_t offset;
	struct AIO_req *req;
{
	return (DIO(DIO_WRITE, fd, buf, size, offset, req));
}

DIO_Ainit()
{
	return (DIO(DIO_AINIT));
}

DIO_Apoll(count, key, mask, statp, timeout)
	int count, key, mask;
	struct AIO_status *statp;
	int timeout;
{
	return (DIO(DIO_APOLL, count, key, mask, statp, timeout));
}
